<?php

/**
 * @file
 * Provide integration with views 2
 */

/**
 * Implementation of hook_views_data().
 */
function relativity_views_data() {
  $data['relativity']['table']['group'] = t('Node Relativity');
  $data['relativity']['table']['base'] = array(
    'field' => 'nid',
    'title' => t('Node ID'),
    'help' => t('The Node ID of the child node.'),
  );
  $data['relativity']['table']['join'] = array(
    'node' => array(
      'left_field' => 'nid',
      'field' => 'nid',
    ),
  );
  $data['relativity']['nid'] = array(
    'title' => t('Child Node ID'),
    'help' => t('The Node ID of the child node.'),
    'field' => array(
      'handler' => 'views_handler_field_node',
      'click sortable' => TRUE,
    ),
  );
  $data['relativity']['parent_nid'] = array(
    'title' => t('Parent Node ID'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'argument' => array(
      'handler' => 'relativity_views_handler_argument_parent_nid',
      // the field to display in the summary.
      'name field' => 'Parent Nid',
      'numeric' => TRUE,
      'validate type' => 'nid',
      'help' => t('Limit result set to all the child nodes of a parent node by passing the parent node Id. If you need the parent node fields, use Relationships instead.'),
    ),
    'relationship' => array(
      'base' => 'node',
      'field' => 'nid',
      'handler' => 'views_handler_relationship',
      'label' => t('Node'),
      'help' => t('Limit result set to all the child nodes of a parent node by passing the parent node Id and provide all fields of parent node.'),
    ),
  );
  return $data;
}

/**
 * Implementation of hook_views_handlers().
 */
function relativity_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'relativity') .'/views',
    ),
    'handlers' => array(
      // Field handlers.
      'relativity_views_handler_argument_parent_nid' => array(
        'parent' => 'views_handler_argument_node_nid',
      ),
    ),
  );
}

